﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="RadScriptManager"></telerik:RadScriptManager>
        <input type="button" value="get nodes hierarchical indices" onclick="getHierarchicalIndices()" />
        <telerik:RadOrgChart runat="server" ID="RadOrgChart2" EnableDrillDown="true">
            <Nodes>
                <telerik:OrgChartNode>
                    <GroupItems>
                        <telerik:OrgChartGroupItem Text="Index 0"></telerik:OrgChartGroupItem>
                    </GroupItems>
                    <Nodes>
                        <telerik:OrgChartNode>
                            <GroupItems>
                                <telerik:OrgChartGroupItem Text="Index 0:0"></telerik:OrgChartGroupItem>
                            </GroupItems>
                        </telerik:OrgChartNode>
                        <telerik:OrgChartNode>
                            <GroupItems>
                                <telerik:OrgChartGroupItem Text="Index 0:1"></telerik:OrgChartGroupItem>
                            </GroupItems>
                        </telerik:OrgChartNode>
                    </Nodes>
                </telerik:OrgChartNode>
            </Nodes>
        </telerik:RadOrgChart>

       
    </form>
    <script type="text/javascript">
        function getHierarchicalIndices() {
            var org = $find("RadOrgChart2"),
                rocItems = $telerik.$(".rocItem"),
                rocItemsCount = rocItems.length,
                message = "";

            for (var i = 0; i < rocItemsCount; i++) {
                var hierarchicalIndex = "",
                    node = org._extractNodeFromDomElement(rocItems[i]);

                if (node) {
                    hierarchicalIndex = node._getHierarchicalIndex();
                    hierarchicalIndex = org._getRealHierarchicalIndex(hierarchicalIndex);

                    message += "Node " + hierarchicalIndex + ",";
                }
            }

            alert(message);
        }
    </script>
</body>
</html>
